Request

Response

    Offices
    GET

    offices/{officeId}

    Retrieves the details of a specific office belonging to the requesting user’s company. Office definitions include location and work-type information used for scoping bidder recommendations.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/construction/buildingconnected/v2/offices/{officeId}
    Authentication Context
    User context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow.
    * Required

    Request

    URI Parameters

    officeId
    string
    The ID of a BuildingConnected office definition.

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    The parameters of the requested operation are invalid.
    401
    Unauthorized
    The provided bearer token is not valid.
    403
    Forbidden
    The user or service represented by the bearer token does not have permission to perform this operation.
    404
    Not Found
    The requested resource could not be found.
    429
    Too Many Requests
    Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait.
    500
    Internal Server Error
    An unknown error occurred on the server.

    Response

    Body Structure (200)

    Expand all
    id
    string
    The unique ID of the office. This value is global across the Builder’s Network.

    Max length: 24

    hasBbPro
    boolean
    Indicates whether this office has an active Bid Board Pro subscription at the office level. This reflects the office’s subscription only and is independent of whether individual users have a Bid Board Pro license assigned directly to them. Possible values:
    • true: The office has a Bid Board Pro subscription.
    • false: The office does not have a Bid Board Pro subscription.
    hasBcPro
    boolean
    Indicates whether this office has an active BuildingConnected Pro subscription at the office level. This reflects the office’s subscription only and is independent of whether individual users have a BC Pro license assigned directly to them. Possible values:
    • true: The office has a BC Pro subscription.
    • false: The office does not have a BC Pro subscription.
    name
    string
    The name of the office.
    location
    object
    The structured address details for a location.
    country
    string
    The country code of the location.
    state
    string
    The state, territory, or province code of the location.
    streetName
    string
    The street name of the location. This can be combined with streetNumber to get the street address.
    streetNumber
    string
    The numeric value of the street address. This can be combined with streetName to get the street address.
    suite
    string
    The suite number or second address line of the location.
    city
    string
    The city of the location.
    zip
    string
    The ZIP or Postal code of the location.
    complete
    string
    The complete human-readable address of the location.
    coords
    object
    The latitude and longitude coordinates of the location.
    lat
    number
    The geographic latitude of the location.
    lng
    number
    The geographic longitude of the location.
    precisionLevel
    int
    The precision with which location identifies an actual place, on a scale of 0 to 10.
    • 0 is the least precise indication, such as mapping to a country.
    • 10 is the most precise indication, such as mapping to a street number or intersection.

    This value is initially null, and is populated only after a location change.

    companyId
    string
    The unique BuildingConnected ID of the company to which this user belongs.

    Max length: 24

    createdBy
    string
    The unique ID of the BuildingConnected user who created this office object.

    Max length: 24

    createdAt
    datetime: ISO 8601
    The date and time that this office object was created, in ISO 8601 format.
    fax
    string
    The fax number of the office.
    phone
    string
    The primary phone number for the office.
    workPerformed
    array: object
    Trades performed by this office. This list is used by BuildingConnected’s bid search tool.
    timezone
    string
    The timezone of the office.
    allowedToPublishProjects
    boolean
    Indicates whether the office is permitted to publish projects on the Builder’s Network. This value is typically enabled by the Autodesk sales team after an office purchases BC Pro.
    • true: The office is permitted to publish projects.
    • false: (Default) The office is not permitted to publish projects.
    isLocked
    boolean
    Indicates whether the office object has been locked. This is set by the Autodesk support team.
    updatedAt
    datetime: ISO 8601
    The date and time that this office object was last updated, in ISO 8601 format.

    Example

    OK

    Request

    curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/offices/:officeId' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "id": "5b3f0a6e9d4fdda54845ca21",
      "hasBbPro": false,
      "hasBcPro": false,
      "name": "San Francisco Office",
      "location": {
        "country": "US",
        "state": "CA",
        "streetName": "California St.",
        "streetNumber": "600",
        "suite": "6th Floor",
        "city": "San Francisco",
        "zip": "94108",
        "complete": "600 California St., 6th Floor, San Francisco, CA 94108",
        "coords": {
          "lat": -122.4069826,
          "lng": 37.7929546
        },
        "precisionLevel": 10
      },
      "companyId": "5b3f0a6e9d4fdda54845c3f9",
      "createdBy": "5b3f0a6e9d4fdda54845ca20",
      "createdAt": "2021-08-19T23:07:16.083Z",
      "fax": "555-555-5556",
      "phone": "555-555-5555",
      "workPerformed": [
        {}
      ],
      "timezone": "America/Los_Angeles",
      "allowedToPublishProjects": true,
      "isLocked": false,
      "updatedAt": "2021-09-19T23:07:16.083Z"
    }
    
    Show More